Package org.apache.sling.commons.clam

## Class ScanResult

- java.lang.Object
- - org.apache.sling.commons.clam.ScanResult

    @ProviderType
    public class ScanResult
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `ScanResult.Status`

### Constructor Summary

Constructors
`ScanResult​(@NotNull ScanResult.Status status, @NotNull java.lang.String message, long started, long size)`

### Method Summary

All Methods Instance Methods Concrete Methods
`@NotNull java.lang.String` `getMessage()`
`long` `getSize()`
`long` `getStarted()`
`@NotNull ScanResult.Status` `getStatus()`
`long` `getTimestamp()`
`boolean` `isOk()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScanResult

    public ScanResult​(@NotNull
                      @NotNull ScanResult.Status status,
                      @NotNull
                      @NotNull java.lang.String message,
                      long started,
                      long size)

### Method Detail

#### getTimestamp

    public long getTimestamp()

#### getStatus

    @NotNull
    public @NotNull ScanResult.Status getStatus()

#### getMessage

    @NotNull
    public @NotNull java.lang.String getMessage()

#### getStarted

    public long getStarted()

#### getSize

    public long getSize()

#### isOk

    public boolean isOk()